# rpmio/ugid.h File Reference

Go to the source code of this file.

## Functions

int | unameToUid (const char *thisUname, uid_t *uid)
int | gnameToGid (const char *thisGname, gid_t *gid)
char * | uidToUname (uid_t uid)
char * | gidToGname (gid_t gid)

## Detailed Description

Definition in file ugid.h.

## Function Documentation

char* gidToGname | ( | gid_t | gid | ) |

Definition at line 133 of file ugid.c.

int gnameToGid | ( | const char * | thisGname,
|  | gid_t * | gid |
| ) |  |  |

Definition at line 59 of file ugid.c.

char* uidToUname | ( | uid_t | uid | ) |

Definition at line 102 of file ugid.c.

int unameToUid | ( | const char * | thisUname,
|  | uid_t * | uid |
| ) |  |  |

Definition at line 16 of file ugid.c.